Bug 1199938 - Noto-Sans font looks bold and blurry
Noto-Sans font looks bold and blurry
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KDE Workspace (Plasma)
Current
Other Other
: P5 - None : Normal with 6 votes (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-05-26 09:56 UTC by Eugene Popov
Modified: 2022-07-14 07:41 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Picture of blurry fonts (152.33 KB, image/png)
2022-05-26 11:21 UTC, Nik Kai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Popov 2022-05-26 09:56:44 UTC
After updating the noto-sans-fonts package to version 20220516-1.1, the Noto-Sans font now looks bold and blurry. The reason for this seems to be that the Noto Sans switched from ttf to otf font files. In general, now it looks much worse than it was before.

It would be great to fix the current look of this font as it was before the update.

SOFTWARE/OS VERSION

Operating System: openSUSE Tumbleweed 20220524
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.2
Kernel Version: 5.17.9-1-default (64-bit)
Graphics Platform: X11
Comment 1 Nik Kai 2022-05-26 11:17:06 UTC
Can confirm. Swapping the font manually to the older hinted ones (for example from https://fonts.google.com/noto/specimen/Noto+Sans) "fixes" the issue, proving that the new otf fonts are not satisfactory. 
Since literally every existing and new user is affected by this change, which just looks bad, it should be reverted and the old fonts should be used again.
Comment 2 Nik Kai 2022-05-26 11:21:59 UTC
Created attachment 859236 [details]
Picture of blurry fonts

Picture of blurry fonts
Comment 3 Nik Kai 2022-05-26 22:44:50 UTC
Hey Pirateclip, this appears to be your change/package ( https://build.opensuse.org/project/show/home:Pi-Cla:branches:M17N:fonts), so I added you to the CC list. 

Sadly, it had some undesireable effects on the looks of the standard KDE font in Opensuse. Could you maybe revert the changes back to how it was before? 

For more information, you can have a look at these threads:

- https://www.reddit.com/r/openSUSE/comments/ux33f2/bug_todays_update_including_mesadri_snapshot_0522/ia2x2lu/?context=3

- https://www.reddit.com/r/openSUSE/comments/uxphgr/after_the_update_the_notosans_font_became_bolder/

Thank you very much!
Comment 4 Gordon Leung 2022-05-26 22:49:58 UTC
(In reply to Nik Kai from comment #3)
> Hey Pirateclip, this appears to be your change/package (
> https://build.opensuse.org/project/show/home:Pi-Cla:branches:M17N:fonts), so
> I added you to the CC list. 
> 
> Sadly, it had some undesireable effects on the looks of the standard KDE
> font in Opensuse. Could you maybe revert the changes back to how it was
> before? 
> 
> For more information, you can have a look at these threads:
> 
> -
> https://www.reddit.com/r/openSUSE/comments/ux33f2/
> bug_todays_update_including_mesadri_snapshot_0522/ia2x2lu/?context=3
> 
> -
> https://www.reddit.com/r/openSUSE/comments/uxphgr/
> after_the_update_the_notosans_font_became_bolder/
> 
> Thank you very much!

Thanks for CCing me and linking the threads. I was not aware of this previously, I will switch them back to hinted then.
Comment 5 Gordon Leung 2022-05-26 23:58:41 UTC
Here is the SR: https://build.opensuse.org/request/show/979401 I hope this helps.
Comment 6 Nik Kai 2022-05-27 00:26:06 UTC
(In reply to Gordon Leung from comment #5)
> Here is the SR: https://build.opensuse.org/request/show/979401 I hope this
> helps.

Thanks, that was very quick! I will update the Reddit people :)
Comment 7 Gordon Leung 2022-05-28 06:07:44 UTC
Can someone here try out the unhinted TTF fonts? I have heard that unlike unhinted OTF (which is what the package had switched to). Unhinted TTF gets hinting added to it when used on Linux desktops. If there is no noticeable blurriness then it would be better to switch to unhinted TTF as the file sizes are smaller than hinted TTF.
Comment 8 Gordon Leung 2022-05-28 06:22:14 UTC
They can be downloaded by cloning this github repo: https://github.com/googlefonts/noto-fonts and then going into unhinted/ttf or by using subversion like so: 
svn checkout https://github.com/googlefonts/noto-fonts/trunk/unhinted/ttf/
Comment 9 Gordon Leung 2022-05-28 15:15:28 UTC
Actually, none of you have to do what I asked above about the unhinted TTFs. The SR has been accepted now, and I am not sure if anyone here (including myself) really cares about smaller file sizes. Either way this should now be resolved.
Comment 10 Eugene Popov 2022-05-29 17:52:13 UTC
How soon will the fixed font be available in the openSUSE Tumbleweed repos?
Comment 11 Gordon Leung 2022-05-29 17:55:04 UTC
(In reply to Eugene Popov from comment #10)
> How soon will the fixed font be available in the openSUSE Tumbleweed repos?

Idk exactly when, but right now it is in the staging process so it should appear very soon. https://build.opensuse.org/request/show/979599
Comment 12 Jan Engelhardt 2022-07-14 07:41:00 UTC
Do you have a screenshot of what you consider the non-blurry state?